/**
 * The K mask operator described
 * on page 181 of GIEE. Used in
 * 3D non-stationary PEF inversions.
 * @author: Joseph Jennings
 * @version: 2017.03.20
 */

#ifndef LV_CONV3DMASK_H_
#define LV_CONV3DMASK_H_

#include "my_operator.h"

class lv_conv3dmask : public my_operator {
  public:
    lv_conv3dmask(){};
    bool forward(bool add, my_vector *mod, my_vector *dat);
    bool adjoint(bool add, my_vector *mod, my_vector *dat);
    ~lv_conv3dmask(){};
};

#endif /* LV_CONV3DMASK_H_ */
