/**
 * Operator for padding the velocity
 * before wave propagation.
 * @author: Joseph Jennings
 * @version: 2017.01.28
 */
#ifndef PADVEL_H_
#define PADVEL_H_

#include "my_operator.h"

class padvel : my_operator {
  public:
    padvel(){};
    padvel(int zloc, int xloc, int ord);
    virtual bool forward(bool add, my_vector *mod, my_vector *dat);
    virtual bool adjoint(bool add, my_vector *mod, my_vector *dat);
    ~padvel(){};
  private:
    int _zloc, _xloc, _shift;
};

#endif /* PADVEL_H_ */
