/**
 * Block class for splitting up problems
 * for better cache-management and parallel
 * computing
 * @author: Bob Clapp
 * @version: 2017.03.15
 */
#ifndef BLOCK_H_
#define BLOCK_H_

class block1d {
    public:
    block1d(int b1, int e1):
      b1(b1),e1(e1){;}
  int b1,e1;
};

class block2d {
    public:
    block2d(int b1, int e1, int b2, int e2):
      b1(b1),e1(e1),b2(b2),e2(e2){;}
  int b1,e1,b2,e2;
};

class block3d {
    public:
    block3d(int b1, int e1, int b2, int e2, int b3, int e3):
      b1(b1),e1(e1),b2(b2),e2(e2),b3(b3),e3(e3){;}
  int b1,e1,b2,e2,b3,e3;
};

#endif /* BLOCK_H_ */
