
#include "identity.h"
#include "simpleplot.h"

identity::identity(hypercube_float* mod, hypercube_float *dat) {
  set_domain(mod);
  set_range(dat);
}

bool identity::forward(bool add, my_vector* mod, my_vector* dat) {
  if(!add && dat != nullptr) dat->zero();
  dat->scale_add(1.0,mod,scale);
  return true;
}

bool identity::adjoint(bool add, my_vector* mod, my_vector* dat) {
  if(!add && mod != nullptr) mod->zero();
  mod->scale_add(1.0,dat,scale);
  return true;
}
