/**
 * Identity operator (I)
 * @author: Joseph Jennings
 * @version: 2016.11.20
 */

#ifndef IDENTITY_H_
#define IDENTITY_H_

#include "my_operator.h"
#include "hypercube_float.h"

class identity : public my_operator {
  public:
    identity(){} //Default constructor
    identity(hypercube_float *mod, hypercube_float *dat);
    virtual bool forward(bool add, my_vector* mod, my_vector* dat);
    virtual bool adjoint(bool add, my_vector* mod, my_vector* dat);

    ~identity(){}

};


#endif /* IDENTITY_H_ */
