import sys 
import argparse, subprocess
import numpy as np
import seppy

parser = argparse.ArgumentParser()
parser.add_argument("fin")
parser.add_argument("sfile")
parser.add_argument("-ntr",action="store",dest="ntr")
parser.add_argument("-trnum",action="store",dest="trnum")
parser.add_argument("fout")
parser.add_argument("-pfat",action="store",dest="pfat")
parser.add_argument("-erse",action="store",dest="erse")
args = parser.parse_args()
fin   = args.fin
sfile = args.sfile
ntr   = float(args.ntr)
trnum = float(args.trnum)
fout  = args.fout
fat = 10
if args.pfat != None:
  fat = int(args.pfat)

movcmd = "vppen "

dn = -trnum/ntr + 0.001
up = 1.0 - trnum/ntr
cmd = '''
Graph wantaxis1=n wantaxis2=n plotfat=%d min1=%f max1=%f title=' ' < %s \
    out=./Fig/lineadd.v > /dev/null
'''%(fat,dn,up,fin)
cmd += "vppen erase=o style=n %s ./Fig/lineadd.v > %s"%(sfile,fout)
print cmd
sp = subprocess.check_call(cmd,shell=True)

if args.erse != None:
  sp = subprocess.check_call("rm -f ./Fig/*.v",shell=True)
